# $Revision: 1.56 $, $Date: 2009/01/25 19:13:26 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make check"
#
Summary:	Hash library
Summary(pl.UTF-8):	Biblioteka funkcji mieszających (skrótu)
Summary(pt_BR.UTF-8):	Interface uniforme para vários algoritmos hash
Name:		mhash
Version:	0.9.9.9
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/mhash/%{name}-%{version}.tar.bz2
# Source0-md5:	f91c74f9ccab2b574a98be5bc31eb280
Patch0:		%{name}-shared.patch
URL:		http://mhash.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mhash is a library which provides a uniform interface to a large
number of hash algorithms. These algorithms can be used to compute
checksums, message digests, and other signatures. The HMAC support
implements the basics for message authentication, following RFC 2104.

%description -l pl.UTF-8
Mhash to biblioteka dostarczająca jednolity interfejs do dużej liczby
algorytmów mieszających (skrótu). Te algorytmy mogą być używane do
liczenia sum kontrolnych, oznaczeń komunikatów oraz innych sygnatur.
Obsługa HMAC daje podstawy dla uwierzytelniania wiadomości, zgodnie z
RFC 2104.

%description -l pt_BR.UTF-8
A biblioteca mhash provê uma interface uniforme para um grande número
de algoritmos hash. Estes algoritmos podem ser utilizados para
computar checksums, digests de mensagens, e outras assinaturas. O
suporte a HMAC implementa o básico para autenticação de mensagens,
seguindo o RFC 2104. Nas versões mais recentes foram adicionados
alguns algoritmos de geração de chaves, que utilizam algoritmos hash.
A biblioteca suporta os algoritmos CRC32, MD5, SHA1, HAVAL256, TIGER,
RIPEMD260, GOST, CRC32B, HAVAL224, HAVAL192, HAVAL160, HAVAL128,
TIGER128, TIGER160, MD4, SHA256, and ADLER32.

%package devel
Summary:	Header files and development documentation for libmhash
Summary(es.UTF-8):	Archivos de inclusión y bibliotecas de desarrollo
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do libmhash
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento para a biblioteca mhash
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for libmhash.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do libmhash.

%description devel -l pt_BR.UTF-8
Esse pacote contém arquivos de desenvolvimento para a biblioteca
mhash.

%package static
Summary:	Static version of libmhash
Summary(es.UTF-8):	bibliotecas estaticas mhash
Summary(pl.UTF-8):	Statyczna wersja biblioteki libmhash
Summary(pt_BR.UTF-8):	Bibliotecas estáticas do mhash para desenvolvimento
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libmhash.

%description static -l pl.UTF-8
Statyczna wersja libmhash.

%description static -l pt_BR.UTF-8
Esse pacote contém arquivos de desenvolvimento estáticos para a
biblioteca mhash.

%prep
%setup -q
%patch0 -p0

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static
%{__make}

%if %{with tests}
LD_LIBRARY_PATH=$(pwd)/lib/.libs; export LD_LIBRARY_PATH
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO doc/skid2-authentication
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_mandir}/man3/*
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mhash.spec,v $
Revision 1.56  2009/01/25 19:13:26  arekm
- up to 0.9.9.9

Revision 1.55  2007/06/29 15:07:17  tommat
- added mhash-shared.patch from opensuse
- added mhash-memalign.patch - fixing memory alignment problems on sparc

Revision 1.54  2007/04/07 13:12:52  qboosh
- updated to 0.9.9

Revision 1.53  2007/02/23 06:50:18  arekm
- up to 0.9.8.1

Revision 1.52  2007/02/16 23:59:23  arekm
- rel 2

Revision 1.51  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.50  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.49  2006/07/01 12:18:39  qboosh
- updated to 0.9.7.1, removed obsolete malloc patch

Revision 1.48  2006/04/14 18:36:52  radek
- release 2: added -malloc.patch

Revision 1.47  2006/03/18 21:10:30  arekm
- up to 0.9.6

Revision 1.46  2006/01/28 23:16:22  areq
- patch instead of sed

Revision 1.45  2006/01/28 23:03:38  areq
- install mutils/mincludes.h

Revision 1.44  2006/01/16 20:45:43  qboosh
- up to 0.9.4a, removed obsolete mhash_free patch

Revision 1.43  2006/01/14 18:53:38  arekm
- fix MIX32()

Revision 1.42  2006/01/14 18:22:05  arekm
- rel 1

Revision 1.41  2006/01/14 18:09:54  arekm
- up to 0.9.4; test suite still fails

Revision 1.40  2006/01/09 20:15:54  qboosh
- bcond desc

Revision 1.39  2006/01/09 09:42:02  arekm
- 0.9.3 is broken for hmac

Revision 1.38  2006/01/09 09:15:50  arekm
- add tests

Revision 1.37  2006/01/03 22:36:33  glen
- resurrect mhash_free for php (sf #1386840, php#35686); rel 2

Revision 1.36  2005/12/23 23:46:52  qboosh
- updated to 0.9.3

Revision 1.35  2005/01/14 13:46:57  czucz
- updated to 0.9.2
- removed mhash-ac.patch as not needed

Revision 1.34  2004/04/18 22:50:16  qboosh
- updated to 0.9.1

Revision 1.33  2004/01/29 20:44:47  jajcus
- Release: 2

Revision 1.32  2004/01/29 20:09:56  areq
- add ac.patch

Revision 1.31  2003/06/22 10:59:30  eothane
- http://belnet.sourceforge->http://dl.sourceforge

Revision 1.30  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.29  2003/05/25 05:50:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/03/26 08:53:33  trojan
- updated to 0.8.18

Revision 1.27  2003/01/04 16:00:39  qboosh
- updated to 0.8.17

Revision 1.26  2002/11/25 14:17:27  ankry
- massive attack: no need for 755 for *.la

Revision 1.25  2002/10/09 13:14:40  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.24  2002/07/22 13:26:54  blues
- add missing *.la files

Revision 1.23  2002/07/22 10:23:31  blues
- 0.8.16
  STBR

Revision 1.22  2002/07/22 10:18:36  blues
- release 2
- new doc, translations from CNV
  STBR

Revision 1.21  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.20  2002/05/21 23:14:08  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.18  2002/02/23 03:44:48  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:29:16  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:13:50  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/21 13:43:51  kloczek
- updated to 0.8.13.

Revision 1.14  2001/10/30 21:06:24  kloczek
- release 2.

Revision 1.13  2001/10/30 20:59:28  qboosh
- adapterized, pl descriptions

Revision 1.12  2001/10/29 20:51:13  kloczek
- updated to 0.8.12.

Revision 1.11  2001/07/17 17:14:00  kloczek
- typos.

Revision 1.10  2001/07/17 17:11:06  kloczek
- updated to 0.8.10,
- regenerate ac/am/lt files (spec is ac 2.50 ready).

Revision 1.9  2001/02/04 19:43:52  kloczek
- updated to 0.8.9.

Revision 1.8  2001/02/03 21:45:52  kloczek
- updated to 0.8.8.

Revision 1.7  2001/01/22 08:15:23  kloczek
- updated to 0.8.6,
- new Source url.

Revision 1.6  2000/11/10 20:43:21  kloczek
- updated to 0.8.3.

Revision 1.5  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.4  2000/06/09 07:54:44  kloczek
- more %{__make} macros.

Revision 1.3  2000/06/09 07:23:25  kloczek
- added using %{__make} macro.

Revision 1.2  2000/05/29 17:43:43  kloczek
- change package name to mhash,
- remove %{_includedir} and %{mandir}/man3 directories from package (this
  is part of FHS).

Revision 1.1  2000/05/29 15:18:11  mis
- initial version, based on libmcrypt spec
